(ns org.aplex.helpers.interface
  #?(:cljs (:require-macros [org.aplex.helpers.interface]))
  (:require [org.aplex.helpers.core :as c ]))

#?(:clj
   (defmacro get-env [key default-value]
     (or (System/getenv key) default-value)
     #_(c/get-env key default-value)))

(defn map-replace [text m]
  (c/map-replace text m))

(defn build-url [root-url path params]
  (c/build-url root-url path params))

(defn attach-handler [hm fn]
  (c/attach-handler hm fn))

(comment
  (macroexpand get-env)
  (c/get-env "STABILITY_API_KEY" "2"))
