(ns frontend.portfolio.mailersend
  (:require
   [ajax.core
    :refer [ajax-request GET json-request-format json-response-format POST]]
   [org.aplex.mailersend.interface :as m]))

(m/send-mail {:to {:email "olymk2@gmail.com"
                   :name "oly"}
              :from {:email "test@theplantscape.com"
                     :name "test"}
              :subject "Test mailersend api"
              :text "Hi {$name}"
              :html "Hi {$name}"
              :variables [{:email ""
                           :substitutions [{:var "name"
                                            :value "Test name"}]}]})


(-> (m/send-mail prn)
    (merge {:format (json-request-format)
            :response-format (json-response-format {:keywords? true})})
     ajax-request)
